﻿@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@using DP.Services.Data.Models
@using DP.Common.Enums
@model List<OfferMaster>
@{ 
    var activeOffers = Model.Where(x => x.OfferStatusValue == (int)OfferStatus.Active).ToList();
    var deactiveOffers = Model.Where(x => x.OfferStatusValue == (int)OfferStatus.Deactive).ToList();
}
<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">Offers</h1>
    </div>
    <!-- /.col-lg-12 -->
</div>
<div class="row">
    <div class="col-md-12 col-sm-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <i class="fa fa-tags fa-fw"></i> List
                <div class="pull-right">
                    <a href="/Offer/Create" class="btn btn-default btn-xs"><i class="fa fa-plus fa-fw"></i> Create</a>
                </div>
            </div>
            <!-- /.panel-heading -->
            <div class="panel-body">
                <ul class="nav nav-pills nav-justified" role="tablist">
                    <li class="active">
                        <a href="#active-offers" role="tab" data-toggle="tab">Active Offers
                        </a>
                    </li>
                    <li class="">
                        <a href="#deactive-offers" role="tab" data-toggle="tab">
                            Deactive Offers
                        </a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane fade active in" role="tabpanel" id="active-offers" style="padding-top: 15px;">

                        @foreach (var m in activeOffers)
                        {
                            <div class="col-md-6 subscriber-panel-item ">
                                <div class="panel panel-default panel-subscriber panel-offer">
                                    <div class="panel-body">
                                        <div class="row">
                                            <div class="col-md-8">
                                                <h4>@m.ProviderName</h4>
                                                <h5>@m.Content</h5>
                                                <h5>@m.ProviderEmail</h5>
                                            </div>
                                            <div class="col-md-4 image-col">
                                                @if (m.OfferStatusValue == (int)OfferStatus.Active)
                                                {
                                                    <i class="fa fa-tags fa-lg green-glow featured"></i>
                                                }
                                                else
                                                {
                                                    <i class="fa fa-tags fa-lg red-glow featured"></i>
                                                }
                                                <span class="label label-default" id="lblNetPrice" style="font-size:18px;border:none;display:block">@m.ActualPrice</span>
                                                <img src="@m.ImageUrl" style="height:100px;width:100%;">
                                            </div>
                                        </div>
                                        <div class="row details">
                                            <div class="col-md-6">
                                                <table>
                                                    <tr>
                                                        <td>User Type</td>
                                                        <td class="padder"></td>
                                                        <td>@m.ProviderTypeText</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Current Price</td>
                                                        <td class="padder"></td>
                                                        <td>@m.CurrentPrice</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Discounted Percetage</td>
                                                        <td></td>
                                                        <td>@m.DiscountedPercentage</td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="col-md-6">
                                                <table cellpadding="2">
                                                    <tr>
                                                        <td>Start Date</td>
                                                        <td class="padder"></td>
                                                        <td>
                                                            <span>@m.StartDateTime.Value.ToString("dd-MMM-yyyy")</span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>End Date</td>
                                                        <td class="padder"></td>
                                                        <td>
                                                            <span>@m.EndDateTime.Value.ToString("dd-MMM-yyyy")</span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                    <div class="tab-pane fade" role="tabpanel" id="deactive-offers" style="padding-top: 15px;">
                        @foreach (var m in deactiveOffers)
                        {
                            <div class="col-md-6 subscriber-panel-item ">
                                <div class="panel panel-default panel-subscriber panel-offer">
                                    <div class="panel-body">
                                        <div class="row">
                                            <div class="col-md-8">
                                                <h4>@m.ProviderName</h4>
                                                <h5>@m.Content</h5>
                                                <h5>@m.ProviderEmail</h5>
                                            </div>
                                            <div class="col-md-4 image-col">
                                                @if (m.OfferStatusValue == (int)OfferStatus.Active)
                                                {
                                                    <i class="fa fa-tags fa-lg green-glow featured"></i>
                                                }
                                                else
                                                {
                                                    <i class="fa fa-tags fa-lg red-glow featured"></i>
                                                }
                                                <span class="label label-default" id="lblNetPrice" style="font-size:18px;border:none;display:block">@m.ActualPrice</span>
                                                <img src="@m.ImageUrl" style="height:100px;width:100%;">
                                            </div>
                                        </div>
                                        <div class="row details">
                                            <div class="col-md-6">
                                                <table>
                                                    <tr>
                                                        <td>User Type</td>
                                                        <td class="padder"></td>
                                                        <td>@m.ProviderTypeText</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Current Price</td>
                                                        <td class="padder"></td>
                                                        <td>@m.CurrentPrice</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Discounted Percetage</td>
                                                        <td></td>
                                                        <td>@m.DiscountedPercentage</td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="col-md-6">
                                                <table cellpadding="2">
                                                    <tr>
                                                        <td>Start Date</td>
                                                        <td class="padder"></td>
                                                        <td>
                                                            <span>@m.StartDateTime.Value.ToString("dd-MMM-yyyy")</span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>End Date</td>
                                                        <td class="padder"></td>
                                                        <td>
                                                            <span>@m.EndDateTime.Value.ToString("dd-MMM-yyyy")</span>
                                                        </td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                </div>

            </div>
            <!-- /.panel-body -->
        </div>
    </div>
</div>

<style>
    .nav.nav-tabs.nav-justified li a.active{
       background-color: #1f4e5f;
       color: white;
    }
</style>
